Bug 649425 - Review Request: kaudiocreator - Program for ripping and encoding Audio-CDs
Review Request: kaudiocreator - Program for ripping and encoding Audio-CDs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2010-11-03 13:49 EDT by Dmitrij S. Kryzhevich
Modified: 2013-02-22 08:18 EST (History)
3 users (show)

See Also:
Fixed In Version: kaudiocreator-1.2.90-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 06:40:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitrij S. Kryzhevich 2010-11-03 13:49:29 EDT
Spec URL: http://krege.fedorapeople.org/kaudiocreator.spec
SRPM URL: http://krege.fedorapeople.org/kaudiocreator-1.2.90-1.fc13.src.rpm
Description: KAudioCreator is a program for ripping and encoding Audio-CDs, encoding files from disk.

Patch will be supposed to upstream.

# rpmlint kaudiocreator-1.2.90-1.fc13.src.rpm kaudiocreator-1.2.90-1.fc13.x86_64.rpm 
kaudiocreator.x86_64: W: no-manual-page-for-binary kaudiocreator
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Not a big problem.
Comment 1 Dmitrij S. Kryzhevich 2010-11-03 23:14:53 EDT
Extended description.

With this application one could rip CDs. You could, before ripping, specify track names, artist (or artistes), year, album. There several ripping presets including audio format, track naming, files location and etc, but you could easy create your own, based on existing or bright new with your own encoder if you have on (you could select what will be the default one). All encoding option easy to specify. If you have several drivers, dropping menu will help you to select right one. Sure, there is a real-time jobs watcher.
Comment 2 Tom "spot" Callaway 2010-12-02 11:16:37 EST
Review
=======
Good:

- rpmlint checks return:
kaudiocreator.x86_64: W: no-manual-page-for-binary kaudiocreator

Safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on F-14 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file OK

== Notes ==
* BuildRequires:  gtk2 seems wrong. I did a scratch build without it (http://koji.fedoraproject.org/koji/taskinfo?taskID=2639728) and it built fine (as expected). You should remove it from your final package.

* %clean is unnecessary in active Fedora targets, see: https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean (it is still needed if you need this package for EPEL)
* BuildRoot is unnecessary in active Fedora targets, see: https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag (it is still needed if you need this package for EPEL)
* It is no longer necessary to delete the buildroot as the first step of %install in active Fedora targets. It is still needed if you need this package for EPEL.

These items are relatively minor, so I won't hold the review up on them.
APPROVED.

(If you could do a review on 656010, I would appreciate it, shouldn't be too rough.)
Comment 3 Dmitrij S. Kryzhevich 2010-12-03 01:23:52 EST
(In reply to comment #2)
> == Notes ==
> * BuildRequires:  gtk2 seems wrong. I did a scratch build without it
> (http://koji.fedoraproject.org/koji/taskinfo?taskID=2639728) and it built fine
> (as expected). You should remove it from your final package.

Ah, gtk2 is dependece of some other package. It does not need to be metioned explicitly.


> * %clean is unnecessary in active Fedora targets, see:
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean (it is still
> needed if you need this package for EPEL)

This and following are from F12 wich was not EOL at submiting this review.

Spec and srpm updated.
Comment 4 Dmitrij S. Kryzhevich 2010-12-03 01:25:49 EST
New Package SCM Request
=======================
Package Name: kaudiocreator
Short Description: Program for ripping and encoding Audio-CDs
Owners: krege
Branches: f13 f14
InitialCC:
Comment 5 Jason Tibbitts 2010-12-03 09:04:37 EST
Git done (by process-git-requests).
Comment 6 Dmitrij S. Kryzhevich 2010-12-04 06:40:53 EST
Thanks everybody.
Comment 7 Fedora Update System 2010-12-04 06:43:13 EST
kaudiocreator-1.2.90-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kaudiocreator-1.2.90-2.fc14
Comment 8 Fedora Update System 2010-12-04 06:44:18 EST
kaudiocreator-1.2.90-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kaudiocreator-1.2.90-2.fc13
Comment 9 Fedora Update System 2010-12-13 15:00:56 EST
kaudiocreator-1.2.90-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-12-13 15:01:45 EST
kaudiocreator-1.2.90-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Dmitrij S. Kryzhevich 2013-02-22 02:12:25 EST
Package Change Request
======================
Package Name: kaudiocreator
New Branches: el6
Owners: krege


See also rhbz #912934
Comment 12 Gwyn Ciesla 2013-02-22 08:18:54 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.